Package groovy.console.ui.text

# Class StructuredSyntaxDocumentFilter.LexerNode

java.lang.Object
groovy.console.ui.text.StructuredSyntaxDocumentFilter.LexerNode

Enclosing class:
  StructuredSyntaxDocumentFilter

    public final class StructuredSyntaxDocumentFilter.LexerNode
    extends java.lang.Object

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `javax.swing.text.Style` | `getDefaultStyle()` |
  `boolean` | `isInitialized()` |
  `void` | `parse​(java.nio.CharBuffer buffer, int offset, int length)` |
  `void` | `putChild​(java.lang.String[] regexps, StructuredSyntaxDocumentFilter.LexerNode node)` |
  `void` | `putChild​(java.lang.String regexp, StructuredSyntaxDocumentFilter.LexerNode node)` |
  `void` | `putStyle​(java.lang.String[] regexps, javax.swing.text.Style style)` |
  `void` | `putStyle​(java.lang.String regexp, javax.swing.text.Style style)` |
  `void` | `removeChild​(java.lang.String regexp)` |
  `void` | `removeStyle​(java.lang.String regexp)` |
  `void` | `removeStyle​(java.lang.String[] regexps)` |
  `void` | `setDefaultStyle​(javax.swing.text.Style style)` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### getDefaultStyle

    public javax.swing.text.Style getDefaultStyle()

  - ### isInitialized

    public boolean isInitialized()
    Returns:
      true if initialised

  - ### parse

    public void parse​(java.nio.CharBuffer buffer, int offset, int length) throws javax.swing.text.BadLocationException
    Parameters:
      `buffer` -
      `offset` -
      `length` -
    Throws:
      `javax.swing.text.BadLocationException`

  - ### putChild

    public void putChild​(java.lang.String regexp, StructuredSyntaxDocumentFilter.LexerNode node)
    Parameters:
      `regexp` -
      `node` -

  - ### putChild

    public void putChild​(java.lang.String[] regexps, StructuredSyntaxDocumentFilter.LexerNode node)
    Parameters:
      `regexps` -
      `node` -

  - ### putStyle

    public void putStyle​(java.lang.String regexp, javax.swing.text.Style style)
    Parameters:
      `regexp` -
      `style` -

  - ### putStyle

    public void putStyle​(java.lang.String[] regexps, javax.swing.text.Style style)
    Parameters:
      `regexps` -
      `style` -

  - ### removeChild

    public void removeChild​(java.lang.String regexp)
    Parameters:
      `regexp` -

  - ### removeStyle

    public void removeStyle​(java.lang.String regexp)
    Parameters:
      `regexp` -

  - ### removeStyle

    public void removeStyle​(java.lang.String[] regexps)
    Parameters:
      `regexps` -

  - ### setDefaultStyle

    public void setDefaultStyle​(javax.swing.text.Style style)